PySide i Shiboken 1.2.0 wydane

Oficjalna strona Stowarzyszenia Polska Grupa Użytkowników Pythona

PySide i Shiboken 1.2.0 wydane Deweloperzy frameworka PySide, udostępnianego na licencji LGPL bindingu do Qt 4.8, ogłosili kolejne wydanie projektu. Aktualizacja PySide 1.2.0, wprowadza liczne poprawki błędów, w szczególności tych, które miały znaczący wpływ na stabilność działania biblioteki, bądź powodowały wycieki pamięci.


PySide można od teraz bezproblemowo zainstalować z poziomu easy_install, pip lub wykorzystując do tego udostępnione binaria.

PySide i Qt5
Nieoficjalnie dowiedzieliśmy się, że na konferencji SciPy 2013, podczas jednego ze sprintów, w którym brały udział osoby odpowiedzialne za rozwój PySide, zdecydowano, iż wydanie biblioteki z kompletnym wsparciem dla Qt5 będzie miało miejsce jeszcze tegorocznej jesieni. Dużo jednak zależy od społeczności PySide, gdyż to ona jest głównym motorem rozwojowym projektu.

Więcej informacji: PySide Changes, qt-project.org

Dodał: Piotr Tynecki, Kategorie: News
Data: 2013-07-12 00:50:12
8A-PX-QG-JG

Instalacja za pomocą easy_install w wirtualnym środowisku to druga obok licencji przyczyna dla której PySide zasługuje na uwagę.

Niestety okazuje się, że nie jest taka bezproblemowa. U mnie przebiega w ten sposób:

https://gist.github.com/anonymous/6044218

Sądząc po komunikatach wystarczyłoby użyć 2to3.py aby ten problem rozwiązać.

Data: 2013-07-20 09:53:25


Copyright © 2007-2014 by Polish Python Coders Group
Język programowania Python  Open Source

Powered by Pigmej CMSv.0.2
Hosted by DmTEC